# /etc/profile.d/zz-kinet.sh

export PATH="/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin:/usr/local/games:/usr/games"

if [ "$(id -u)" -eq 0 ]
then
	if [ -n "$SSH_CONNECTION" ]
	then
		PS1="\[\033[1;31m\]\u\[\033[0m\]@\H:\w\\$ "
	else
		PS1="\[\033[1;31m\]\u\[\033[0m\]:\w\\$ "
	fi
else
	if [ -n "$SSH_CONNECTION" ]
	then
		PS1="\[\033[1;32m\]\u\[\033[0m\]@\H:\w\\$ "
	else
		PS1="\[\033[1;32m\]\u\[\033[0m\]:\w\\$ "
	fi
fi

HISTCONTROL="ignoredups:ignorespace"
HISTFILESIZE="100000"
HISTSIZE="100000"

shopt -s cdspell
shopt -s checkwinsize
shopt -s histappend
shopt -s histverify
shopt -s no_empty_cmd_completion

alias cp="cp -i"
alias ln="ln -i"
alias ls="ls --color=auto --hyperlink=auto"
alias mv="mv -i"
alias rm="rm -i --preserve-root --one-file-system"

alias grep="grep --color=auto"
alias egrep="egrep --color=auto"
alias fgrep="fgrep --color=auto"
alias rgrep="rgrep --color=auto"

alias less="less -R"

[ -x /usr/bin/lesspipe ] && eval "$(SHELL=/bin/sh lesspipe)"

alias l="ls -lA"
alias ll="ls -l"
alias logoff="unset HISTORY; unset HISTFILE; exit"

alias bridge="bridge --color=auto"
alias ip="ip --color=auto"
